BPCMP.PY(1)

NAME
bpcmp.py - compare ADIOS2 data files

DESCRIPTION
usage: bpcmp [-h] [-t TOLERANCE] [-p TOLPERC] [-s] [-v] file.bp [file.bp ...]

Utility code to compare the data within BP files

  positional arguments:

file.bp
    list of BP files to be compared

  options:

-h, --help
    show this help message and exit

-t, --tolerance TOLERANCE
    tolerance for comparing values (default: 0)

-p, --perc-tolerance TOLPERC
    tolerance as percentage of values (default: 0)

-s, --stats
    compare stats (min/max) and not values

-v, --verbose
    all different values are printed, not just a summary

If more than two files are provided, all files are compared to the first